Last Comment Bug 765220 - java.lang.NoSuchMethodError: java.lang.String.isEmpty at org.mozilla.gecko.BrowserToolbar$2.onCreateContextMenu(BrowserToolbar.java)
: java.lang.NoSuchMethodError: java.lang.String.isEmpty at org.mozilla.gecko.Br...
Status: VERIFIED FIXED
[native-crash]
: crash, regression
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 15 Branch
: ARM Android
: -- critical (vote)
: Firefox 16
Assigned To: Wesley Johnston (:wesj)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 06:30 PDT by Scoobidiver (away)
Modified: 2012-08-14 07:47 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified


Attachments
Patch (1.95 KB, patch)
2012-06-15 07:47 PDT, Wesley Johnston (:wesj)
margaret.leibovic: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-06-15 06:30:34 PDT
There's one crash in 16.0a1/20120614075912: bp-2ce43818-b5d6-4bb5-94a6-0898e2120615.

The regression window might be:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=964b11fea7f1&tochange=983b91e5aa17

java.lang.NoSuchMethodError: java.lang.String.isEmpty
	at org.mozilla.gecko.BrowserToolbar$2.onCreateContextMenu(BrowserToolbar.java:120)
	at android.view.View.createContextMenu(View.java:4239)
	at com.android.internal.view.menu.ContextMenuBuilder.show(ContextMenuBuilder.java:81)
	at com.android.internal.policy.impl.PhoneWindow$DecorView.showContextMenuForChild(PhoneWindow.java:1914)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:459)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:459)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:459)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:459)
	at android.view.ViewGroup.showContextMenuForChild(ViewGroup.java:459)
	at android.view.View.showContextMenu(View.java:2461)
	at android.view.View.performLongClick(View.java:2447)
	at android.widget.TextView.performLongClick(TextView.java:7851)
	at android.view.View$CheckForLongPress.run(View.java:8834)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:123)
	at android.app.ActivityThread.main(ActivityThread.java:4668)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:521)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:878)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:636)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NoSuchMethodError%3A+java.lang.String.isEmpty+at+org.mozilla.gecko.BrowserToolbar%242.onCreateContextMenu%28BrowserToolbar.java%29
Comment 1 Wesley Johnston (:wesj) 2012-06-15 07:47:43 PDT
Created attachment 633524 [details] [diff] [review]
Patch

Stupid me.
Comment 2 :Margaret Leibovic 2012-06-15 08:50:52 PDT
Comment on attachment 633524 [details] [diff] [review]
Patch

Sorry I didn't catch that before :(
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-06-16 06:52:18 PDT
https://hg.mozilla.org/mozilla-central/rev/7e0403e82067
Comment 5 Cristian Nicolae (:xti) 2012-06-19 07:54:11 PDT
Quick fix for this bug. It seems that there aren't any other crashes since 06/15. Closing bug as verified fixed on:

Firefox 16.0a1 (2012-06-19)
Device: Galaxy Nexus
OS: Android 4.0.2
Comment 6 Scoobidiver (away) 2012-07-27 23:26:55 PDT
15.0 Beta is affected.
Comment 7 Scoobidiver (away) 2012-08-08 05:19:56 PDT
It's #48 top crasher in 15.0b3. Can we land it on Beta?
Comment 8 Scoobidiver (away) 2012-08-12 00:12:12 PDT
Now #19 on 15.0b4.
Comment 9 :Margaret Leibovic 2012-08-13 08:33:36 PDT
Comment on attachment 633524 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): n/a
User impact if declined: crash (#19 on 15.0b4)
Testing completed (on m-c, etc.): landed on m-c 6/16
Risk to taking this patch (and alternatives if risky): low-risk change to replace a bad method call with one that actually exists
String or UUID changes made by this patch: n/a

Note You need to log in before you can comment on or make changes to this bug.